
From: Kevin Corry <kevcorry@us.ibm.com>

Check the uptodate flag in sub-bios to see if there was an error.  [Mike
Christie]


---

 25-akpm/drivers/md/dm.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN drivers/md/dm.c~dm-check-the-uptodate-flag-in-sub-bios drivers/md/dm.c
--- 25/drivers/md/dm.c~dm-check-the-uptodate-flag-in-sub-bios	Mon Apr 12 13:48:47 2004
+++ 25-akpm/drivers/md/dm.c	Mon Apr 12 13:48:47 2004
@@ -294,6 +294,9 @@ static int clone_endio(struct bio *bio, 
 	if (bio->bi_size)
 		return 1;
 
+	if (!bio_flagged(bio, BIO_UPTODATE) && !error)
+		error = -EIO;
+
 	if (endio) {
 		r = endio(tio->ti, bio, error, &tio->info);
 		if (r < 0)

_
